Skip to main content
GET
/
v1
/
signatures
/
{signature_id}
/
variants
List a signature's reply/internal variants
curl --request GET \
  --url https://api.scribe-mail.com/v1/signatures/{signature_id}/variants \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "exists": true,
      "id": "<string>",
      "activated": true,
      "hidden": true,
      "show_marketing_campaigns": true,
      "content": {},
      "draft_content": {},
      "last_published_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "supported": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

signature_id
string
required

Response

Success (variants not supported, no M365)

data
object[]
required
supported
boolean
required

Whether this workspace supports signature variants (it has an active Microsoft 365 signatures integration). Writes return 409 variants_unavailable when false.